/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CategoryAxisBaseDescription } from "./CategoryAxisBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CategoryYAxisDescription = /*@__PURE__*/ (() => {
    class CategoryYAxisDescription extends CategoryAxisBaseDescription {
        constructor() {
            super();
            this.dt = 0;
            this.dr = 0;
            this.du = 0;
            this.ds = 0;
            this.dz = null;
            this.d0 = null;
        }
        get_type() {
            return "CategoryYAxis";
        }
        get interval() {
            return this.dt;
        }
        set interval(a) {
            this.dt = a;
            this.e("Interval");
        }
        get actualInterval() {
            return this.dr;
        }
        set actualInterval(a) {
            this.dr = a;
            this.e("ActualInterval");
        }
        get minorInterval() {
            return this.du;
        }
        set minorInterval(a) {
            this.du = a;
            this.e("MinorInterval");
        }
        get actualMinorInterval() {
            return this.ds;
        }
        set actualMinorInterval(a) {
            this.ds = a;
            this.e("ActualMinorInterval");
        }
        get actualIntervalChangeRef() {
            return this.dz;
        }
        set actualIntervalChangeRef(a) {
            this.dz = a;
            this.e("ActualIntervalChangeRef");
        }
        get actualMinorIntervalChangeRef() {
            return this.d0;
        }
        set actualMinorIntervalChangeRef(a) {
            this.d0 = a;
            this.e("ActualMinorIntervalChangeRef");
        }
    }
    CategoryYAxisDescription.$t = markType(CategoryYAxisDescription, 'CategoryYAxisDescription', CategoryAxisBaseDescription.$);
    return CategoryYAxisDescription;
})();
